﻿using BPA.SAAS.KitChenManage.Core.Base;
using BPA.SAAS.KitChenManage.Core.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Authorization.Services
{
    public interface IAuthorizationService
    {
        

        /// <summary>
        /// 分页店铺授权码
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<PageUtil> PageStoreAuthorization(PageInputBase input);

        /// <summary>
        /// 添加店铺授权码
        /// </summary>
        /// <returns></returns>
        Task<bool> AddStoreAuthorization(string storeId);

        /// <summary>
        /// 修改店铺授权码
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> UpdateStoreAuthorization(string id);







        /// <summary>
        /// CodeFirst
        /// </summary>
        /// <param name="tableNames"></param>
        void CodeFirst();
    }
}
